Package: org.apache.groovy.groovysh.util

## [Groovy] Class ScriptVariableAnalyzer.VisitorClassLoader

- org.apache.groovy.groovysh.util.ScriptVariableAnalyzer.VisitorClassLoader

-     static class ScriptVariableAnalyzer.VisitorClassLoader
      extends GroovyClassLoader

  class loader to add our phase operation

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GroovyClassLoader` | `classCache, sourceCache`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GroovyClassVisitor` | `visitor`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `VisitorClassLoader(GroovyClassVisitor visitor, ClassLoader parent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected CompilationUnit` | `createCompilationUnit(CompilerConfiguration config, CodeSource source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyClassLoader` | `addClasspath, addURL, clearCache, close, createCollector, createCompilationUnit, defineClass, defineClass, generateScriptName, getClassCacheEntry, getClassPath, getLoadedClasses, getPermissions, getResourceLoader, getTimeStamp, hasCompatibleConfiguration, isRecompilable, isShouldRecompile, isSourceNewer, loadClass, loadClass, loadClass, loadClass, loadGroovySource, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, recompile, removeClassCacheEntry, run, setClassCacheEntry, setResourceLoader, setShouldRecompile`

- - ### Property Detail

    - #### final GroovyClassVisitor visitor

  - ### Constructor Detail

    - #### VisitorClassLoader(GroovyClassVisitor visitor, ClassLoader parent)

  - ### Method Detail

    - #### @Override
      protected CompilationUnit createCompilationUnit(CompilerConfiguration config, CodeSource source)